package com.igzcode.java.web.util;

import com.igzcode.java.web.net.mail.MailAsync;

public class MailUtil {
	
	/**
	 * Send asynchronous email.
	 * 
	 * The server configuration is declared in the config.xml file:
	 * <pre>
	 * {@code
	 * <CONFIGURATION>
	 *     <ENV>
	 *         <MAIL usr="user" pwd="pass" host="mail.example.com" port="25" />
	 *     </ENV>
	 * </CONFIGURATION>
	 * }
	 * </pre>
	 * 
	 * @param p_server The server name declared in config.xml
	 * @param p_from Email From
	 * @param p_to  Email To
	 * @param p_subject Email Subject
	 * @param p_htmlBody HTML body content
	 */
	static public void Send ( String p_server, String p_from, String[] p_to, String p_subject, String p_htmlBody ) {
        MailAsync mailAsync = new MailAsync(p_server, p_from, p_to, p_subject, p_htmlBody);
        mailAsync.start();
	}

}
