package com.igzcode.java.web.test;

import org.junit.Test;

import com.igzcode.java.web.util.ConfigUtil;

import junit.framework.TestCase;

public class ConfigUtilTest extends TestCase {

	@Test
	public void testGlobal () {
		String mySetting = ConfigUtil.Global("MY_SETTING");
		
		assertEquals("my value ñ", mySetting);
	}
	
	@Test
	public void testLocal () {
		String mySetting = ConfigUtil.Local("EXAMPLE");
		
		assertEquals("dev text", mySetting);
	}
	
	@Test
	public void testEnv () {
		String mySetting = ConfigUtil.Env("DB", "dbtype");
		
		assertEquals("SQLSERVER", mySetting);
	}
	
	@Test
	public void testCurrentEnv () {
		String env = ConfigUtil.CurrentEnv();
		
		assertEquals("dev", env);
	}
	
	@Test
	public void testAppPath () {
		String appPath = ConfigUtil.AppPath();
		
		assertNotNull(appPath);
	}
}
