package com.igzcode.java.web.test;

import java.util.ArrayList;

import junit.framework.TestCase;

import org.junit.Test;

import com.igzcode.java.web.serialization.DataTableList;
import com.igzcode.java.web.test.example.ExampleDto;

public class DataTableListTest extends TestCase {

	@Test
	public void testAddVar () {
		DataTableList dtl = new DataTableList();
		
		dtl.AddVar("LABEL_TEST", "VALUE ñá:_");
		assertEquals("{\"LABEL_TEST\":\"VALUE ñá:_\"}", dtl.ToString());
		
		dtl.AddVar("LABEL_TEST2", 10);
		assertEquals("{\"LABEL_TEST\":\"VALUE ñá:_\",\"LABEL_TEST2\":10}", dtl.ToString());
		
		dtl.AddVar("LABEL_TEST3", true);
		assertEquals("{\"LABEL_TEST\":\"VALUE ñá:_\",\"LABEL_TEST2\":10,\"LABEL_TEST3\":true}", dtl.ToString());
	}
	
	@Test
	public void testAddTable () {
		DataTableList dtl = new DataTableList();
		
		ArrayList<Long> longList = new ArrayList<Long>();
		longList.add(50L);
		
		ArrayList<String> stringList = new ArrayList<String>();
		stringList.add("test");
		
		ExampleDto[] dtoArray = new ExampleDto[] {
			 new ExampleDto(10L, "TEXT_1", new String[]{"one","two"}, new Long[]{7L,145L}, longList, stringList)
			,new ExampleDto(20L, "TEXT_2", null, new Long[]{}, new ArrayList<Long>(), new ArrayList<String>())
		};
		
		dtl.AddTable("TABLE_NAME", dtoArray, ExampleDto.class);
		
		String json = dtl.ToString();
		assertEquals( "{\"cols\":{\"TABLE_NAME\":[\"Id\",\"Text\",\"StringArray\",\"LongArray\",\"LongList\",\"StringList\"]}"
					+ ",\"TABLE_NAME\":[[10,\"TEXT_1\",[\"one\",\"two\"],[7,145],[50],[\"test\"]],[20,\"TEXT_2\",null,[],[],[]]]}"
					, json);
	}
}
