package com.igzcode.java.web.test;

import junit.framework.TestCase;

import org.junit.Test;

import com.igzcode.java.util.collection.NameValueArray;
import com.igzcode.java.web.util.LangUtil;

public class LangUtilTest extends TestCase {

	@Test
	public void testText () {
		
		// simple
		String text = LangUtil.Text("en_US", "EXAMPLE1");
		assertEquals("my example text", text);
		
		// special chars
		text = LangUtil.Text("en_US", "EXAMPLE2");
		assertEquals("other <b>example</b> áñ", text);
		
		// params
		NameValueArray params = new NameValueArray();
		params.Add("@@NAME@@", "John Doe");
		text = LangUtil.Text("en_US", "GREETINGS", params);
		assertEquals("Hi John Doe!", text);
		
		// not found
		text = LangUtil.Text("en_US", "NOT_FOUND");
		assertEquals("???NOT_FOUND???", text);
		text = LangUtil.Text("en_US", "NOT_FOUND", params);
		assertEquals("???NOT_FOUND???", text);
	}
	
}
